:root {
  --primary-colour: #1c1917;
  --text-colour-dark: #000;
  --text-colour-white: #fefefe;
  /* --bg-colour-white: #fafaf9; */
  --bg-colour-white: #fff;
  /* --text-colour-light: #fef3c7; */
  --btn-colour: #297aa7;
  /* --btn-hover: #d1d5db; */
  --btn-colour-hover: #155dfc;
  --btn-colour-active: #0343ce;
}

.header-home {
  display: flex;

  justify-content: space-around;
  align-items: center;

  /* Because we want header to be sticky later */
  height: 8rem;
  /* height: 9.6rem; */
  position: relative;

  z-index: 9999;
  background-color: transparent;

  /* background-color: var(--primary-colour); */
}

.logo {
  height: 7.2rem;
}

.main-nav-list {
  list-style: none;
  display: flex;
  align-items: center;
  /* gap: 10.8rem; */
  gap: 12rem;
  /* padding-right: 6rem; */
}

.main-nav-link:link,
.main-nav-link:visited,
.symbol {
  display: inline-block;
  text-decoration: none;
  color: var(--text-colour-white);
  font-weight: 400;
  font-size: 1.6rem;
  letter-spacing: 0.5px;
  /* letter-spacing: 0.5px; */
  text-shadow: 0.5px 0.5px 2px rgba(00, 00, 00, 0.8);
  text-transform: capitalize;

  transition: all 0.3s;
}

.main-nav-link:hover,
.main-nav-link:active {
  text-decoration: underline;
  /* color: var(--primary-colour); */
}

.current-page {
  display: inline-block;

  text-decoration: underline;
  color: var(--text-colour-white);
  font-weight: 500;
  font-size: 1.6rem;
  /* letter-spacing: 0.5px; */
  text-shadow: 0.5px 0.5px 2px rgba(00, 00, 00, 0.8);

  transition: all 0.3s;
}

/* MOBILE */
.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;

  display: none;
}

.icon-mobile-nav {
  /* height: 4.8rem;
  width: 4.8rem; */
  height: 5.8rem;
  width: 5.8rem;
  color: var(--text-colour-white);
  /* color: var(--text-colour-light); */
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

/* STICKY NAVIGATION */

.sticky .header-home {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: var(--bg-colour-white);
  z-index: 9999;

  /* box-shadow: 0 0.8rem 1.6rem rgba(255, 255, 255, 0.2); */
  box-shadow: 0 0.8rem 1.6rem rgba(23, 23, 23, 0.25);
  /* box-shadow: 0 0.8rem 1.6rem rgba(0, 0, 0); */
}

.sticky .main-slider {
  margin-top: 8rem;
}

.sticky .main-nav-link:link,
.sticky .main-nav-link:visited,
.sticky .symbol {
  color: var(--text-colour-dark);
  text-shadow: none;

  transition: all 0.3s;
}

.sticky .current-page {
  color: var(--text-colour-dark);
  text-shadow: none;
}

/* Hero */
/* .main-slider {
  height: calc(200vh-8rem);
} */

/* Animation */
@keyframes imgFadeInSlide {
  0% {
    opacity: 0.8;
  }
  100% {
    opacity: 1;
  }
}

@keyframes zoomOut {
  0% {
    transform: scale(1.25);
  }
  100% {
    transform: scale(1.05);
  }
}

.slider {
  height: calc(100vh - 8rem);
  width: 100vw;
  /* width: 100%; */
  /* position: absolute;
  top: 0; */
  overflow: hidden;
}
.slide {
  height: 100%;
  width: 100%;

  /* position: absolute;
  top: 0; */
  display: none;
  z-index: -1;

  position: absolute;
  top: 0;
  overflow: hidden;
}

.slide__active {
  display: block;
  animation: imgFadeInSlide 2s;
}

.slide__active img {
  animation: zoomOut 9s;
}

.slide__text {
  /* font-family: "Cormorant", serif; */
  color: var(--text-colour-white);
  /* font-size: 8rem; */
  font-size: 5.6rem;
  /* font-size: 80rem; */
  font-weight: 700;
  letter-spacing: 3px;
  line-height: 1.3;
  text-shadow: 1px 1px 3px rgba(00, 00, 00, 0.8);

  position: absolute;
  /* left: 8rem;
  bottom: 8rem; */
  left: 5%;
  /* left: 12%; */
  bottom: 8%;
  /* padding-right: 4.8rem; */
  padding-right: 12rem;
}

.slide-credit-text {
  color: var(--text-colour-white);
  font-size: 1.4rem;
  position: absolute;
  /* left: 8rem;
  bottom: 8rem; */
  right: 1%;
  /* left: 12%; */
  bottom: 1.5%;
  /* padding-right: 4.8rem; */
  padding-right: 1rem;
}

.slide__img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  position: relative;
  transition: transform 3s;
}

.slide__img__active {
  transform: scale(1.4);
}

/* features */
.index-features {
  position: relative;
  background-color: var(--bg-colour-white);
}

.index-features-heading-container {
  /* padding-top: 4.8rem;
  padding-bottom: 4.8rem; */
  padding-top: 8rem;
  padding-bottom: 8rem;
  background-color: var(--bg-colour-white);
}

.primary-heading {
  /* font-family: "Cormorant", serif; */
  color: var(--text-colour-dark);
  font-size: 8rem;
  /* font-size: 80rem; */
  font-weight: 700;
  letter-spacing: 3px;
  line-height: 1.3;
  text-align: center;
  text-transform: capitalize;
}

.index-feature-img-container {
  /* height: calc(100vh - 8.5rem);
  width: 100vw; */

  position: sticky;
  /* position: absolute; */
  top: 85px;
  top: 80px;
  left: 0;
  width: 100vw;
  height: calc(100vh - 8rem);
  z-index: 0; /* Ensures images are behind text */
  overflow: hidden;
}

.index-feature-img {
  height: 100%;
  width: 100%;
  object-fit: cover;

  display: none;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
  z-index: -1;
}

.index-feature-img.active {
  opacity: 1;
  z-index: 1500;
  display: block;
  animation: imgFadeInSlide 1s;
}

/* Animation */
@keyframes imgFadeInSlide {
  0% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}

.index-feature-text-container {
  background: transparent;
  /* height: calc(100vh - 8.5rem); */
  /* height: calc(100vh); */
  /* height: 100vh; */
  width: 100vw;
  position: relative;

  display: flex;
  flex-direction: column;

  padding-left: 12rem;
  /* align-items: center; */
  /* justify-content: flex-start; */
  z-index: 6000;

  color: var(--text-colour-white);
  text-shadow: 0.5px 0.5px 2px rgba(00, 00, 00, 0.8);
  margin-bottom: calc(100vh - 8.5rem);
}

.index-feature-text-container:last-child {
  margin-bottom: 0;
}

.index-feature-heading {
  /* font-family: "Cormorant", serif; */

  font-size: 4.8rem;
  font-weight: 800;
  letter-spacing: 1px;
  z-index: 1000;
  text-transform: capitalize;
  /* height: 8rem; */
}

.index-feature-text {
  width: 80%;
  /* padding-right: 8rem;
  width: 100%; */
  padding-top: 3rem;
  /* font-size: 2.4rem; */
  font-size: 2.6rem;
  font-weight: 300;
  line-height: 1.8;
  letter-spacing: 1px;
  font-style: italic;
  /* padding-left: 8rem; */
  z-index: 1000;
  /* height: 20rem; */
  white-space: wrap;
}

.non-italic {
  font-style: normal;
}

.index-feature-text-line-break {
  display: none;
}

.z-pattern-4-3-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);

  grid-template-rows: repeat(auto, 60rem);

  /* padding: 6.4rem 0; */
  /* padding-top: 8rem; */
  padding-bottom: 8rem;
  align-items: center;

  background-color: var(--bg-colour-white);
}

.z-pattern-4-3-container picture,
.f-pattern-4-3-container picture {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.z-pattern-4-3-img,
.f-pattern-4-3-img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.z-pattern-4-3-text {
  padding-left: 6rem;
  /* padding-right: 5.6rem; */
  font-size: 2.8rem;
  /* font-weight: 100; */
  line-height: 1.5;
  font-weight: 200;
  text-transform: capitalize;
  color: var(--text-colour-dark);

  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.tertiary-heading {
  /* font-family: "Cormorant", serif; */
  font-weight: 800;
}

.z-pattern-list {
  padding-top: 1.2rem;
}

.z-pattern-list-text {
  font-size: 2.2rem;
  line-height: 1.75;
  /* text-indent: 2rem; */
  list-style: inside;
}

.right-align {
}

@keyframes moveFromLeft {
  0% {
    transform: translateX(-80%);
  }
  100% {
    transform: translateX(0);
  }
}

@keyframes moveFromRight {
  0% {
    transform: translateX(80%);
  }
  100% {
    transform: translateX(0);
  }
}

.move-left {
  animation: moveFromLeft 1.5s ease-out;
  /* animation: moveFromLeft 0.8s ease-out; */
}

.move-right {
  animation: moveFromRight 1.5s ease-out;
  /* animation: moveFromRight 0.8s ease-out; */
}

.right-align {
  justify-self: end;
  /* align-self: end; */
  padding-right: 6rem;
}

.button-download,
.button-download:link,
.button-download:visited {
  text-transform: capitalize;
  padding: 1.5rem 3rem;
  color: var(--text-colour-white);
  font-size: 1.8rem;
  font-weight: 700;
  margin-top: 4rem;
  transition: 0.2s;
  border: none;
  align-self: flex-start;
  background-color: var(--btn-colour);
}

.button-download:hover,
.button-download:active {
  cursor: pointer;
  outline-offset: 0.3rem;
  outline: 0.2rem solid var(--btn-colour);
}

.button-email {
  text-transform: none;
}

/* Gallery */

.the-gallery-section {
  background-color: var(--primary-colour);
  border-top: 2px solid var(--primary-colour);
}

.gallery-heading {
  font-size: 4rem;
  text-align: center;
  /* font-family: "Cormorant", serif; */
  font-weight: 800;
  text-transform: uppercase;
  padding-bottom: 3rem;
  color: var(--text-colour-white);
}

.the-gallery-section .index-features-heading-container {
  background-color: var(--primary-colour);
}

.the-gallery-section .index-features-heading-container .primary-heading {
  color: var(--text-colour-white);
}

.discover-grid {
  /* margin-top: 4.8rem; */
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(5, 20vw);
  padding: 0 0.5rem;
  padding-top: 2rem;
  padding-bottom: 4rem;
  gap: 0.5rem;
}

.discover-credit-text {
  color: var(--text-colour-white);
  padding-bottom: 20rem;
  text-align: center;
}

.discover-grid-2 {
  /* margin-top: 4.8rem; */
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  padding: 0 0.5rem;
  padding-top: 2rem;
  padding-bottom: 4rem;
  gap: 0.5rem;
  padding-bottom: 10rem;
}

.discover-item,
.discover-item-2,
.discover-item-3 {
  /* cursor: none; */
  cursor: default;
  position: relative;
  overflow: hidden;
}

/* .discover-text {
  background-color: hsla(0, 0%, 7%, 0.554);
  display: inline-block;
  text-align: center;
  color: var(--text-colour-white);
  font-size: 2.4rem;
  font-weight: 200;
  letter-spacing: 1px;
  padding: 1rem 3rem;
  position: absolute;
  bottom: 3%;
  left: 50%;
  transform: translateX(-50%);
  white-space: nowrap;
} */

.discover-item:first-child {
  grid-column: 1 / span 2;
  grid-row: 1 / span 2;
}

.discover-item:nth-child(2) {
  grid-column: 3 / -1;
  grid-row: 1 / span 1;
}

.discover-item:nth-child(3) {
  grid-column: 3 / -1;

  grid-row: 2 / span 1;
}

.discover-item:nth-child(4) {
  grid-column: 1 / span 1;
  grid-row: 3 / span 1;
}

.discover-item:nth-child(5) {
  grid-column: 2 / span 1;
  grid-row: 3 / span 1;
}

.discover-item:nth-child(6) {
  grid-column: 3 / -1;
  grid-row: 3 / span 1;
}

.discover-item:nth-child(7) {
  grid-column: 1 / span 1;
  grid-row: 4 / span 1;
}

.discover-item:nth-child(8) {
  grid-column: 1 / span 1;
  grid-row: 5 / -1;
}

.discover-item:nth-child(9) {
  grid-column: 2 / span 2;
  grid-row: 4 / span 2;
}

.discover-img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  filter: grayscale(100%);
  -webkit-filter: grayscale(100%);
  transition: all 0.5s;
  transition: filter 2s, transform 12s ease-out;
}

.discover-img:hover {
  transform: scale(1.4);
  filter: grayscale(0);
  -webkit-filter: grayscale(0);
  /* filter: brightness(0.6); */
}

.discover-item-2:first-child {
  grid-column: 1 / span 1;
  grid-row: 1 / span 1;
}

.discover-item-2:nth-child(2) {
  grid-column: 1 / span 1;
  grid-row: 2 / span 1;
}

.discover-item-2:nth-child(3) {
  grid-column: 2 / -1;

  grid-row: 1 / span 2;
}

.discover-item-2:nth-child(4) {
  grid-column: 1 / span 1;
  grid-row: 3 / span 1;
}

.discover-item-2:nth-child(5) {
  grid-column: 2 / span 1;
  grid-row: 3 / span 1;
}

.discover-item-2:nth-child(6) {
  grid-column: 3 / -1;
  grid-row: 3 / span 1;
}

.discover-item-2:nth-child(7) {
  grid-column: 1 / span 2;
  grid-row: 4 / span 2;
}

.discover-item-2:nth-child(8) {
  grid-column: 3 / span 1;
  grid-row: 4 / span 1;
}

.discover-item-2:nth-child(9) {
  grid-column: 3 / span 1;
  grid-row: 5 / span 1;
}

/**************************/
/* TESTIMONIALS */
/**************************/
.section-testimonials {
  background-color: var(--bg-colour-white);
  padding: 8rem 10rem;
  padding-bottom: 12rem;
  border-top: 2px solid var(--primary-colour);
}

.all-testimonials {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  column-gap: 2.4rem;
  row-gap: 4.8rem;
  padding-top: 4rem;
}

.heading-sub {
  padding-top: 2rem;
  font-size: 3.6rem;
  text-align: center;
  margin-bottom: 8rem;
  font-weight: 600;
  text-transform: capitalize;
}

.testimonial-img {
  width: 8rem;
  border-radius: 50%;
}

.testimonial-name {
  font-size: 2.2rem;
  font-weight: 500;
}

.testimonial-text {
  font-size: 2rem;
  line-height: 1.8;
  font-style: italic;
}

.img-name {
  display: flex;
  align-items: center;
  gap: 3.2rem;
}

.testimonial {
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
  padding: 0 4rem;
}

/* about section */

.about-section,
.contact-section {
  background-color: var(--bg-colour-white);
  padding-top: 8rem;
  padding-bottom: 12rem;
  border-top: 2px solid var(--primary-colour);
}

.about-section {
  background-color: var(--primary-colour);
}

.white-text {
  color: var(--text-colour-white);
}

.about-img {
  width: 100%;
  height: 80rem;
  object-fit: cover;
  padding-bottom: 6.4rem;
}

.home-about-description {
  position: relative;
  width: 80%;

  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 1;
  padding: 6rem 6rem;
  margin: 0 auto;
}

.home-about-description::before {
  content: "";
  position: absolute;
  width: 120%;
  height: 50%;
  background: linear-gradient(
    var(--text-colour-white),
    var(--text-colour-white)
  );
  /* border-radius: 5px; */
  animation: rotate 8s linear infinite;
  /* z-index: 20000; */
}

.home-about-description::after {
  content: "";
  position: absolute;
  background: var(--primary-colour);
  inset: 3px;
  inset: 1px;
  z-index: 1;
  /* inset: 5px; */
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

/* .tertiary-heading-home {
  font-size: 2.8rem;
  font-weight: 500;
  text-align: center;
  z-index: 2000;
  color: var(--text-colour-light);
} */

.home-about-description-text {
  /* padding-top: 3.6rem; */
  font-size: 2rem;
  font-weight: 200;
  margin: 0 auto;
  line-height: 1.7;
  z-index: 2000;
  color: var(--text-colour-white);
}

/* contact section */

.contact-img {
  /* height: 60rem; */
  width: 55%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  object-fit: cover;
  padding-top: 6.4rem;
  padding-bottom: 6.4rem;
}

.contact-container {
  /* background-color: var(--primary-colour); */
  background: var(--primary-gradient);

  /* margin-top: -2rem;
  padding-top: 12rem; */
  padding-top: 12rem;
  padding-bottom: 2.4rem;

  display: flex;
  flex-direction: column;
  gap: 12rem;
}

.contact-address {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* color: var(--text-colour-light); */
  color: var(--text-colour-dark);
  /* gap: 3.6rem; */
  gap: 2.4rem;
}

.contact-heading {
  /* text-align: center; */
  /* color: var(--text-colour-light); */
  /* font-family: "Nunito Sans", sans-serif; */

  font-size: 4.2rem;
  font-weight: 400;
  letter-spacing: 2px;
  text-transform: capitalize;
  text-decoration: underline;
}

.contact-text {
  font-size: 2.4rem;
  font-weight: 200;
  text-align: center;
  line-height: 2;
}

.contact-text span {
  color: var(--primary-colour-blue);
  font-size: 2.6rem;
  font-weight: 500;
}

.contact-link-map:link,
.contact-link-map:visited {
  display: inline-block;
  color: var(--text-colour-light);
  font-weight: 200;
  font-size: 2.4rem;
  letter-spacing: 0.5px;
  text-decoration: none;
  transition: all 0.3s;
}

.contact-link-map:hover,
.contact-link-map:active {
  text-decoration: underline;
}

.contact-qr-code {
  width: 15rem;
}

.contact-tel,
.contact-email,
.contact-line {
  color: var(--text-colour-light);
  font-size: 2.4rem;
  font-weight: 200;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2.8rem;
}

.contact-sms-text {
  /* font-family: "Inter", sans-serif; */

  color: var(--text-colour-dark);
  text-decoration: none;
  /* font-size: 2.4rem;
  font-weight: 200; */
  letter-spacing: 0.5px;
}

.contact-sms-text:hover {
  cursor: pointer;
  text-decoration: underline;
}

.tel-email-container {
  display: flex;
  flex-direction: column;
  gap: 12rem;
  justify-content: space-evenly;
}

.contact-social-photos-container {
  display: flex;
  gap: 8rem;
  padding-top: 3.6rem;
}

.social-photo {
  width: 10rem;
  border-radius: 8px;
}

.contact-qr-container {
  padding-top: 8rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 4rem;
}

.contact-qr-img {
  width: 20rem;
}

.contact-break-special-1 {
  display: none;
}

.addrees-line-break {
  display: none;
}

.whatsapp-img {
  padding-top: 2.4rem;
  width: 40rem;
}

/* footer */

.footer {
  background-color: var(--primary-colour);
  border-top: 2px solid var(--primary-colour);
}

.footer-container-1 {
  display: flex;
  justify-content: space-between;
  padding: 6rem;
}

.footer-logo-img {
  width: 20rem;
}

.social {
  display: flex;
  gap: 3.6rem;
  align-items: center;
}

.social-icon {
  color: var(--text-colour-white);
  height: 4rem;
  width: 4rem;
}

.social-icon:hover {
  cursor: pointer;
}

.footer-social-logo {
  height: 4rem;
  fill: var(--text-colour-white);
  /* color: #fff; */
  cursor: pointer;
  width: 4rem;
}

.facebook:hover {
  fill: #4267b2;
}

.line:hover {
  fill: #06c755;
}

.twitter:hover {
  color: #00acee;
}

.youtube:hover {
  color: #ff0000;
}

.instagram:hover {
  color: #d62976;
}

.whatsapp:hover {
  color: #25d366;
}

.tiktok:hover {
  color: #ff0050;
}

.footer-contact {
  width: 25rem;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.2rem;
}

.footer-text {
  font-size: 1.8rem;
  font-weight: 200;
  color: var(--text-colour-white);
}

.footer-sms-text {
  color: var(--text-colour-white);
  text-decoration: none;
  font-size: 1.8rem;
  font-weight: 200;
  letter-spacing: 0.5px;
}

.footer-sms-text:hover {
  cursor: pointer;
  text-decoration: underline;
}

.copyright {
  text-align: center;
  color: var(--text-colour-white);
  font-size: 1.4rem;
  font-weight: 200;
  padding-top: 6rem;
  padding-bottom: 2rem;
  letter-spacing: 0.5px;
}

.no-underline {
  text-decoration: none;

  border-bottom: 3px solid var(--text-colour-dark);
}

/* bokun */
.bokun-button-container {
  display: flex;
  justify-content: center;
  padding-top: 2rem;
  padding-bottom: 8rem;
}

.bokunButton {
  display: inline-block;
  padding: 2rem 4rem;
  background: var(--btn-colour);
  /* border-radius: 5px; */
  border-radius: 0;
  box-shadow: none;
  font-weight: 500;
  /* font-size: 16px; */
  font-size: 20px;
  /* font-size: 32px; */
  text-decoration: none;
  text-align: center;
  color: #ffffff;
  border: none;
  cursor: pointer;
  /* transition: background 0.2s ease; */
  transition: all 0.5s;
}

.bokunButton:hover,
.bokunButton-header:hover {
  background-color: var(--btn-colour-hover);
}

.bokunButton:active,
.bokunButton-header:active {
  background-color: var(--btn-colour-active);
}

.bokun-button-container-1,
.bokun-1 {
  display: none;
}

.language-bokun-container {
  display: flex;
  align-items: center;

  gap: 6rem;
}

.bokun-button-container-header {
  display: inline;
}

.bokunButton-header {
  display: inline-block;
  padding: 1rem 2rem;
  background: var(--btn-colour);
  /* border-radius: 5px; */
  border-radius: 0;
  box-shadow: none;
  font-weight: 500;
  /* font-size: 16px; */
  font-size: 16px;
  /* font-size: 32px; */
  text-decoration: none;
  text-align: center;
  color: #ffffff;
  border: none;
  cursor: pointer;
  /* transition: background 0.2s ease; */
  transition: all 0.5s;
}
